gnutls_psk_set_server_credentials_hint(3)

NAME
gnutls_psk_set_server_credentials_hint - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_psk_set_server_credentials_hint(gnutls_psk_server_credentials_t res, const char * hint);

ARGUMENTS

gnutls_psk_server_credentials_t res
    is a gnutls_psk_server_credentials_t structure.

const char * hint
    is the PSK identity hint string

DESCRIPTION
This function sets the identity hint, in a gnutls_psk_server_credentials_t structure. This hint is sent to the client to help it chose a good PSK credential (i.e., username and password).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/